# /namespace/root/page - NEM

#### Parameters

`id` -

The topmost namespace database id up to which root namespaces are returned. The parameter is optional. If not supplied the most recent rented root namespaces are returned.

`pagesize` -

The number of namespace objects to be returned for each request. The parameter is optional. The default value is 25, the minimum value is 5 and hte maximum value is 100.

#### Request

```java
curl --location --request GET 'https://go.getblock.io/YOUR-ACCESS-TOKEN/namespace/root/page?id=26754&pageSize=5' \
--header 'Content-Type: application/json'
```

#### Response

```java
{
    "data": [
        {
            "meta": {
                "id": 5311
            },
            "namespace": {
                "fqn": "cloverclub",
                "height": 3800313,
                "owner": "NAMO2AOVUGYPBH6LIQRM3I227T6I6BXOQFYDAMFT"
            }
        },
        {
            "meta": {
                "id": 5310
            },
            "namespace": {
                "fqn": "beer-money",
                "height": 3800112,
                "owner": "NBRFW5P3FIXAWV7AOXE6EOEZLZWCBIWHPUG5UT6O"
            }
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/nem-xem/xem_namespace_root_page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
